/*-------------------------------------------------------------------------+
|                                                                          |
| Copyright 2005-2011 the ConQAT Project                                   |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+-------------------------------------------------------------------------*/
package com.teamscale.ide.client;

/**
 * Exception for errors when mapping resources.
 */
public class ResourceMapperException extends Exception {

	/** Version for serialization. */
	private static final long serialVersionUID = 1;

	/** Constructor */
	public ResourceMapperException(String message) {
		super(message);
	}

	/** Constructor */
	public ResourceMapperException(String message, Throwable cause) {
		super(message, cause);
	}

}