package com.teamscale.ide.commons.client.exceptions;

/**
 * Abstract superclass of all exceptions that are returned by the Teamscale API
 * that are non network-related.
 */
public abstract class ApiExceptionBase extends Exception {

	private static final long serialVersionUID = 1L;

	/* package */ ApiExceptionBase(String message) {
		super(message);
	}

	ApiExceptionBase(Throwable cause) {
		super(cause);
	}

	ApiExceptionBase(String message, Throwable cause) {
		super(message, cause);
	}

}
