package com.teamscale.ide.commons.client.exceptions;

/**
 * Exception used to indicate that the server did not find a result for a
 * specific finding type ID.
 */
public class CheckDescriptionNotFoundException extends ApiExceptionBase {

	private static final long serialVersionUID = 1L;

	public CheckDescriptionNotFoundException(String findingTypeId) {
		super(findingTypeId);
	}

	/** Returns the finding type ID that was not found. */
	public String getFindingTypeId() {
		return getMessage();
	}
}
