package com.teamscale.ide.commons.client.exceptions;

import java.net.URI;

import com.teamscale.ide.commons.servers.ETeamscaleServerState;

/**
 * Exception used to indicate that the Teamscale server is not reachable.
 */
public class TeamscaleUnreachableException extends NetworkExceptionBase {

	public TeamscaleUnreachableException(URI serverUrl) {
		this(serverUrl, null);
	}

	public TeamscaleUnreachableException(URI serverUrl, Throwable cause) {
		super(serverUrl, ETeamscaleServerState.UNREACHABLE, cause);
	}
}
