/*-------------------------------------------------------------------------+
|                                                                          |
| Copyright 2005-2011 the ConQAT Project                                   |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+-------------------------------------------------------------------------*/
package org.conqat.ide.commons.ui;

import org.eclipse.ui.IPartListener2;
import org.eclipse.ui.IWorkbenchPartReference;

/**
 * Abstract empty implementation for {@link IPartListener2}.
 */
public abstract class PartListenerBase implements IPartListener2 {

	/** {@inheritDoc} */
	@Override
	public void partOpened(final IWorkbenchPartReference partReference) {
		// do nothing
	}

	/** {@inheritDoc} */
	@Override
	public void partActivated(IWorkbenchPartReference partRef) {
		// do nothing
	}

	/** {@inheritDoc} */
	@Override
	public void partBroughtToTop(IWorkbenchPartReference partRef) {
		// do nothing
	}

	/** {@inheritDoc} */
	@Override
	public void partClosed(IWorkbenchPartReference partRef) {
		// do nothing
	}

	/** {@inheritDoc} */
	@Override
	public void partDeactivated(IWorkbenchPartReference partRef) {
		// do nothing
	}

	/** {@inheritDoc} */
	@Override
	public void partHidden(IWorkbenchPartReference partRef) {
		// do nothing
	}

	/** {@inheritDoc} */
	@Override
	public void partVisible(IWorkbenchPartReference partRef) {
		// do nothing
	}

	/** {@inheritDoc} */
	@Override
	public void partInputChanged(IWorkbenchPartReference partRef) {
		// do nothing
	}

}