package com.teamscale.ide.commons.client.exceptions;

import java.net.URI;

import com.teamscale.ide.commons.servers.ETeamscaleServerState;

/**
 * Exception used to indicate that the user provided the wrong credentials in
 * order to connect to the Teamscale server.
 */
public class AuthenticationFailedException extends HttpException {

	public AuthenticationFailedException(URI serverUrl, int statusCode) {
		super(serverUrl, statusCode, ETeamscaleServerState.NOT_AUTHENTICATED);
	}
}
