package com.teamscale.ide.commons.client.exceptions;

import com.teamscale.ide.commons.servers.ETeamscaleServerState;

/**
 * Exception used to indicate that the Teamscale server response is invalid
 * (i.e. due to its format, empty response body, ...)
 */
public class InvalidTeamscaleResponseException extends NetworkExceptionBase {

	public InvalidTeamscaleResponseException(String message) {
		this(message, null);
	}

	public InvalidTeamscaleResponseException(String message, Throwable cause) {
		super(message, ETeamscaleServerState.UNREACHABLE, cause);
	}
}
