package com.teamscale.ide.commons.client.exceptions;

import java.net.URI;

import com.teamscale.ide.commons.servers.ETeamscaleServerState;

/**
 * Exception used to indicate that the project is not configured correctly for
 * the project.
 */
public class ProjectNotConfiguredCorrectlyException extends NetworkExceptionBase {

	public ProjectNotConfiguredCorrectlyException(String message) {
		super(message, ETeamscaleServerState.NOT_CONFIGURED);
	}

	public ProjectNotConfiguredCorrectlyException(URI serverUrl) {
		super(serverUrl, ETeamscaleServerState.NOT_CONFIGURED);
	}
}
