package com.teamscale.ide.commons.client.exceptions;

import java.io.IOException;

/**
 * Exception thrown if a resource is not found on a teamscale server or in a
 * project.
 */
public class ResourceNotFoundException extends ApiExceptionBase {

	private static final long serialVersionUID = 1L;

	public ResourceNotFoundException(String message) {
		super(message);
	}

	public ResourceNotFoundException(IOException e) {
		super(e);
	}

}
