package com.teamscale.ide.commons.vcs;

import java.io.IOException;

/** Thrown when an operation on a {@link ICheckout} failed. */
public class CheckoutException extends IOException {

	private static final long serialVersionUID = 1L;

	/** Constructs an {@link CheckoutException} with the given message and cause. */
	public CheckoutException(String message, Throwable cause) {
		super(message, cause);
	}

	/** Constructs an {@link CheckoutException} with the given message. */
	public CheckoutException(String message) {
		super(message);
	}

	/** Constructs an {@link CheckoutException} with the given cause. */
	public CheckoutException(Throwable cause) {
		super(cause);
	}
}
