package org.conqat.engine.commons.util.canonical;

import com.fasterxml.jackson.databind.module.SimpleModule;

/**
 * Provides the implementation for {@link CanonicalJson @CanonicalJson}.
 */
public class CanonicalJsonModule extends SimpleModule {

	private static final long serialVersionUID = 1L;

	public CanonicalJsonModule() {
		super("teamscale-commons-canonical-json");

		setSerializerModifier(new OrderingBeanSerializerModifier());
	}
}
