package org.conqat.engine.sourcecode.coverage;

import org.conqat.engine.resource.util.UniformPathUtils;
import org.conqat.lib.commons.uniformpath.UniformPath.EType;

/** Utility class for working with string based test uniform paths. */
public class TestArtifactUtils {

	/** Returns true if the given path is a test execution artifact. */
	public static boolean isTestExecutionArtifact(String path) {
		return path.startsWith(EType.TEST_EXECUTION.getPrefix() + UniformPathUtils.SEPARATOR);
	}
}
